0
votes
1answer
115 views

Install kernel module [V4L2]

In order to build and install V4L2 module, do I have to download it, or it is already part of the kernel (and all I have to do is to choose it, in order to build it, via kernel configuration)? I 'm ...
2
votes
1answer
366 views

Error compiling FTDI VCP drivers: Cannot find version.h

driver installation fails of FTDI VCP driver during make install. Running ElementaryOS with kernel 3.11.0-14-generic make install awk: cannot open ...
3
votes
1answer
467 views

How to make EDID

I read the post here and I tried to make do with what I understood from the post but here are some questions: Where is the /lib/firmware located in for example /usr/src/linux/lib/firmware or ...
0
votes
0answers
93 views

How to compile video4linux for ARM?

I would like to use a webcam using a Linux over ARM board. Through reading, I have discovered video4linux so I would like to compile it for ARM. My unique notes are: git clone ...
1
vote
1answer
2k views

I need a step by step guide to build kernel modules in ChrUbuntu

I don't have experience building kernel modules. And worse, I'm trying to do it on ChrUbuntu, so it seems that I cannot follow the existing Ubuntu guides. For example, this command fails: # apt-get ...
5
votes
2answers
771 views

What package could “linux-headers-3.7.5-1-ARCH” mean?

I'm debugging a closed-source software installer that seems to have some pre-conceived notions about my distribution. The installation aborts after not finding apt-get. The command it attempts to run ...
2
votes
1answer
443 views

Build kernel in one machine, install in another

I want to build my Linux kernel on my host and use it in my VWware virtual machine. They both use the same Ubuntu kernel now. On my Host, I do make and make configure. Then, what files should I copy ...
4
votes
1answer
372 views

Automatically apply module patch and compile kernel when updated?

I've recently applied a one-line patch to drivers/bluetooth/btusb.c in order to enable compatibility with my Bluetooth device. However, whenever I get a kernel upgrade, the patch will be lost until ...
2
votes
1answer
3k views

How can I install my webcam on Debian?

I'm trying to install the webcam driver for my Logitech C210. After some googling Linux UVC driver seems to be what I need. I followed their typical use in hope to get it installed: git clone ...
4
votes
1answer
10k views

How to solve “building the main Guest Additions module Failed”

I tried to install the VirtualBox Guest Additions module in a VM guest running CentOS but I get this error message when everything else was okay: building the main Guest Additions module Failed ...
2
votes
1answer
102 views

Build a module from another kernel

Is it possible to use a module (wacom) from a more recent kernel ? My current kernel is 3.1.2 and the module is from kernel 3.4rc4.
1
vote
1answer
135 views

Compling KUTE traffic generator 1.4 on Fedora Core 5

I am trying to install KUTE traffic generator on Fedora Core 5 kernel version 2.6.15. When I try to complile I get this error message: [root@dhcppc128 kute-1.4]# make make modules make[1]: Entering ...
1
vote
1answer
168 views

Compiling a kernel module with some options

I have a bug in a driver (iwlwifi/iwlagn), which I have reported, and the developers are asking me to "build the driver with debug options enabled." More specifically: Debugging output is enabled ...
1
vote
2answers
586 views

Kernel module for Cisco VPN client doesn't compile under ubuntu 10.04 LTS?

I am trying to install a Cisco VPN client under Ubuntu 10.04 LTS. In the extracted folder I type: alex@alex-laptop:~/Downloads/cisco4.8/vpnclient$ sudo ./vpn_install and there is output of activity ...
6
votes
1answer
472 views

Grubby fatal error in Linux kernel installation

I have compiled Linux kernel 2.6.24.6 from source (without problem) and tried to install it. Specifically, after unpacking the Linux source code, I did make && make modules to compile. ...
2
votes
1answer
315 views

wacom pen & touch cth-460 on debian [closed]

Following instructions at http://lik.noblogs.org/post/2010/05/07/wacom-debian/ Though, i downloaded and built linuxwacom-0.8.8-11 ./configure --enable-wacom ...
2
votes
2answers
6k views

I am failing to build VirtualBox driver for Linux 2.6.38

I am running Debian 6, and decided to install 2.6.38 kernel from Unstable. I also installed the headers so that I can later on : sudo apt-get install --target-release=unstable ...